Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.util
Class NodeEnumeration

    java.lang.Object
      scone.util.NodeEnumeration

    public class NodeEnumeration

extends java.lang.Object

represents the children of a specified XML node which have the specified name

Field Summary
`protected org.w3c.dom.NodeList` | `list`
`protected java.lang.String` | `name`
`protected org.w3c.dom.Node` | `nextNode`
`protected int` | `pos`

Constructor Summary
`NodeEnumeration(org.w3c.dom.Node parentNode, java.lang.String childName)` creates a NodeEnumeration

Method Summary
`protected org.w3c.dom.Node` | `findNext()` returns the next child node
`boolean` | `hasMoreNodes()` returns true if nextNode() will return another child node
`org.w3c.dom.Node` | `nextNode()` returns the next child node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected org.w3c.dom.NodeList list

### pos

    protected int pos

### name

    protected java.lang.String name

### nextNode

    protected org.w3c.dom.Node nextNode

Constructor Detail

### NodeEnumeration

    public NodeEnumeration(org.w3c.dom.Node parentNode,
                           java.lang.String childName)

  creates a NodeEnumeration

  Parameters:
    `parentNode` - the parent Node
    `childName` - the name of the children

Method Detail

### hasMoreNodes

    public boolean hasMoreNodes()

  returns true if nextNode() will return another child node

  Returns:
    true if nextNode() will return another child node

### findNext

    protected org.w3c.dom.Node findNext()

  returns the next child node

  Returns:
    the next child node or null if there is none

### nextNode

    public org.w3c.dom.Node nextNode()

  returns the next child node

  Returns:
    the next child node or null if there is none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD